!!!
-# %html
%html{ :manifest => '/application.appcache'}
  %head
    %title Sujala
    %base{:href => "/"}
    %meta{:content => "text/html; charset=UTF-8", "http-equiv" => "Content-Type"}/
    %meta{:name => "viewport", :content=>"width=device-width, initial-scale=1"}
    = csrf_meta_tags
    = stylesheet_link_tag    'application', media: 'all'
    = javascript_include_tag 'application'
  %body{ "ng-app" => "sujala", :class => "aside-offscreen"}
    .app-container{"ng-controller" => "AppCtrl"}
      / top navbar
      %header.bg-purple
        / START Top Navbar
        %nav.navbar.topnavbar{:role => "navigation"}
          / START button offset
          /.btn-offset
          /  %button.btn.btn-info.btn-circle.btn-lg.shadow-z1{"data-btn-layer-morph" => "", "data-ripple" => "", "data-target" => "#layer-search", :type => "button"}
          /    %em.fa.fa-search
          / START button offset
          / START navbar header
          .navbar-header
            %a.navbar-brand{'ng-href' => "{{is_authenticated == true ? '/' : '/signin'}}"}
              %img.brand-logo Sujala
              /%img.brand-logo{:alt => "App Logo", :src => "images/logo.png"}
 
 

            / Mobile buttons

            .mobile-toggles{ "ng-show" => "is_authenticated" }
              / Button to show/hide the sidebar on mobile. Visible on mobile only.
              %a.sidebar-toggle{:href => ""}
                %em.fa.fa-navicon
              / Button to show/hide the header menu on mobile. Visible on mobile only.
              %a.menu-toggle.hidden-material{"data-toggle" => "collapse", :href => "#nav-collapse"}
                %em.fa.fa-ellipsis-v.fa-fw
          #nav-collapse.nav-wrapper.collapse.navbar-collapse
            %ul.nav.navbar-nav.hidden-material
              %li{ "ng-show" => "is_authenticated" }
                / Button used to collapse the left sidebar. Only visible on tablet and desktops
                %a.hidden-xs.sidebar-toggle{:href => ""}
                  %em.fa.fa-navicon
            %ul.nav.navbar-nav.hidden-material.pull-right
              %li{ "ng-show" => "!is_authenticated" }
                %a{"ng-href" => "/signin"}
                  Login
              %li{ "ng-show" => "is_authenticated" }
                %a{"ng-href" => ""}
                  {{current_user.email}}
              %li{ "ng-show" => "is_authenticated" }
                %a{"ng-click" => "signOut()"} Logout
 
             
      %aside.bg-white{ "ng-show" => "is_authenticated" }
        .sidebar-wrapper
          .sidebar{"data-ui-sidebar" => ""}
            .sidebar-nav
              %ul.nav
                / Iterates over all sidebar items
                / %li.nav-heading
                /  %span.text-muted Main Navigation
                / %li
                /   %a{"data-ripple" => "", :href => "dashboard.html", :title => "Dashboard"}
                /     /.label.pull-right.label-success 4
                /     %em.sidebar-item-icon.icon-pie-graph
                /     %span Dashboard
                %li{"ng-show" => "user.is_allowed('write_farmer')"}
                  %a{"data-ripple" => "", :href => "1?action=new_farmer", :title => "New Farmer"}
                    /.label.pull-right.label-success 4
                    %em.sidebar-item-icon.fa.fa-user-plus
                    %span New Farmer
                
                %li
                  %a{"data-ripple" => "", :href=>"/", :title => "Home"}
                    /.label.pull-right.label-success 4
                    %em.sidebar-item-icon.fa.fa-home
                    %span Home
                %li{"ng-show" => "user.is_allowed('read_report')"}
                  %a{"data-ripple" => "", :href=>"/reports", :title => "Reports"}
                    /.label.pull-right.label-success 4
                    %em.sidebar-item-icon.fa.fa-line-chart
                    %span Reports
                %li{"ng-show" => "user.is_allowed('write_user')"}
                  %a{"data-ripple" => "", :href=>"/users", :title => "Users"}
                    %em.sidebar-item-icon.fa.fa-users
                    %span Users
                %li{"ng-show" => "user.is_allowed('write_user')"}
                  %a{"data-ripple" => "", :href=>"/roles", :title => "Roles"}
                    %em.sidebar-item-icon.fa.fa-users
                    %span Roles
                %li{"ng-show" => "user.is_allowed('write_user') && data_off"}
                  %a{"data-ripple" => "", "ng-click" => "sync()", :title => "Sync"}
                    %em.sidebar-item-icon.fa.fa-refresh
                    %span Sync 
                %li{"ng-show" => "user.is_allowed('write_user')"}
                  %a{ :href=>"", :title=>"Forms", 'data-ripple'=>""}
                    %em.sidebar-item-caret.fa.pull-right.fa-angle-right
                    %em.sidebar-item-icon.fa.fa-gear
                    %span Admin
                  %ul.nav.sidebar-subnav    
                    %li
                      %a{"data-ripple" => "", :href=>"/asset_types", :title => "Asset Types"}
                        %span Asset Types
                    %li
                      %a{"data-ripple" => "", :href=>"/purposes", :title => "Purposes"}
                        %span Purposes
                    %li
                      %a{"data-ripple" => "", :href=>"/conversation_structures", :title => "Conversation Structures"}
                        %span Conversation Structures
                    %li
                      %a{"data-ripple" => "", :href=>"/crops", :title => "Crops"}
                        %span Crops
                    %li
                      %a{"data-ripple" => "", :href=>"/intercrops", :title => "Intercrop"}
                        %span Intercrops
                    %li
                      %a{"data-ripple" => "", :href=>"/forestry_plants", :title => "Forestry Plant"}
                        %span Forestry Plants
                    %li
                      %a{"data-ripple" => "", :href=>"/income_sources", :title => "Income Sources"}
                        %span Income Sources
                    %li
                      %a{"data-ripple" => "", :href=>"/smus", :title => "Smu"}
                        %span Smus
                    %li
                      %a{"data-ripple" => "", :href=>"/topographies", :title => "Topography"}
                        %span Topographies
                    %li
                      %a{"data-ripple" => "", :href=>"/castes", :title => "Caste"}
                        %span Castes 
                    %li
                      %a{"data-ripple" => "", :href=>"/constraints", :title => "Constraints"}
                        %span Constraints
                    %li
                      %a{"data-ripple" => "", :href=>"/fertilizers", :title => "Fertilizers"}
                        %span  Fertilizers
                    %li
                      %a{"data-ripple" => "", :href=>"/food_materials", :title => "Food Materials"}
                        %span  Food Materials
                    %li
                      %a{"data-ripple" => "", :href=>"/house_types", :title => "House Types"}
                        %span  House Types
                    %li
                      %a{"data-ripple" => "", :href=>"/suggestion_paramaters", :title => "Suggestion Paramaters"}
                        %span  Suggestion Paramaters
                    %li
                      %a{"data-ripple" => "", :href=>"/migration_purposes", :title => "Migration Purposes"}
                        %span  Migration Purposes
                    %li
                      %a{"data-ripple" => "", :href=>"/livestock_types", :title => "Livestock Types"}
                        %span Livestock Types
                    %li
                      %a{"data-ripple" => "", :href=>"/machine_types", :title => "Machine Types"}
                        %span Machine Types
                    %li
                      %a{"data-ripple" => "", :href=>"/migration_positive_consequences", :title => "Migration Positive Consequences"}
                        %span Migration Positive Consequences
                    %li
                      %a{"data-ripple" => "", :href=>"/migration_negative_consequences", :title => "Migration Negative Consequences"}
                        %span Migration Negative Consequences
                    %li
                      %a{"data-ripple" => "", :href=>"/horticulture_plants", :title => "Horticulture Plant"}
                        %span Horticulture Plants
                    %li
                      %a{"data-ripple" => "", :href=>"/crop_lists", :title => "Crop Lists"}
                        %span Crop Lists
                    %li
                      %a{"data-ripple" => "", :href=>"/intercrop_lists", :title => "Intercrop Lists"}
                        %span Intercrop Lists
                    %li
                      %a{"data-ripple" => "", :href=>"/districts", :title => "District"}
                        %span Districts
                    %li
                      %a{"data-ripple" => "", :href=>"/educations", :title => "Educations"}
                        %span Educations 
                    %li
                      %a{"data-ripple" => "", :href=>"/occupations", :title => "Occupations"}
                        %span Occupations
                    %li
                      %a{"data-ripple" => "", :href=>"/genders", :title => "genders"}
                        %span  Genders
                    %li
                      %a{"data-ripple" => "", :href=>"/local_organisations", :title => "Local Organisation"}
                        %span  Local Organisations
                    %li
                      %a{"data-ripple" => "", :href=>"/livestock_names", :title => "Livestock Names"}
                        %span  Livestock Names
                    %li
                      %a{"data-ripple" => "", :href=>"/particulars", :title => "Particulars"}
                        %span  Particulars
                    %li
                      %a{"data-ripple" => "", :href=>"/villages", :title => "Villages"}
                        %span  Villages
                    %li
                      %a{"data-ripple" => "", :href=>"/grampanchayats", :title => "Gramapanchayats"}
                        %span  Gramapanchayats
                    %li
                      %a{"data-ripple" => "", :href=>"/hoblis", :title => "Hoblis"}
                        %span  Hoblis
                    %li
                      %a{"data-ripple" => "", :href=>"/taluks", :title => "Taluks"}
                        %span  Taluks
                    %li
                      %a{"data-ripple" => "", :href=>"/micro_water_sheds", :title => "Micro Water Sheds"}
                        %span  Micro Water Sheds
                    %li
                      %a{"data-ripple" => "", :href=>"/sub_water_sheds", :title => "Sub Water Sheds"}
                        %span  Sub Water Sheds
                    %li
                      %a{"data-ripple" => "", :href=>"/credit_avail_purposes", :title => "Credit Avail Purposes"}
                        %span  Credit Avail Purposes
                    %li
                      %a{"data-ripple" => "", :href=>"/credit_sources", :title => "Credit Sources"}
                        %span  Credit Sources
      
      
      %section
        .app
          .row
            .col-lg-12.fw-boxed
              %div{"ng-if" => "farmer.name && valid_form_link"}
                %div{:style => "background-color:#F0F0F0;box-shadow:0 2px 5px rgba(0,0,0,.26);padding:10px;margin:0px"}
                  %h4.text-purple {{farmer.name}}
                  {{farmer.village.name}} (Village), {{farmer.micro_water_shed.name}} - {{farmer.micro_water_shed.code}} (MWS), {{farmer.sub_water_shed.name}} - {{farmer.sub_water_shed.code}} (SWS), {{farmer.district.name}} (Dst)
                  /%span Village, Ridge Topography

                %slidebox.my-slidebox{"content-class" => "my-slidebox-content", "content-width" => "4500px", :style => "box-shadow:0 2px 5px rgba(0,0,0,.26)"}
                  .sitem{"ng-repeat" => "page in pages track by $index"}
                    .a_div{"ng-class"=>"{ current: isActive({{page}}) }" }
                      %a{"ng-href" => "{{page.name}}", :title => "{{page.label}}"}
                        {{ isActive(page) ? page.label : page.name }}

              %div{ "ng-view" => true}
      %footer{:style=>"text-align:center;"}
        %span
          Powered by
          %a{:href => "http://dataworx.co.in/"} dataworx
